## org.apache.xerces.xpointer
Interface XPointerPart

    public interface XPointerPart

Used for scheme specific parsing and evaluation of an XPointer expression. This interface applies to both ShortHand and SchemeBased XPointer expressions.

Version:
  $Id: XPointerPart.java 603808 2007-12-13 03:44:48Z mrglavas $

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary
`static int` `EVENT_ELEMENT_EMPTY`
`static int` `EVENT_ELEMENT_END`
`static int` `EVENT_ELEMENT_START`

Method Summary
`java.lang.String` `getSchemeData()` Returns a String containing the scheme data of the PointerPart.
`java.lang.String` `getSchemeName()` Returns a String containing the scheme name of the PointerPart or the name of the ShortHand Pointer.
`boolean` `isChildFragmentResolved()` Returns true if the XPointer expression resolves to a non-element child of the current resource fragment.
`boolean` `isFragmentResolved()` Returns true if the XPointer expression resolves to a resource fragment specified as input else returns false.
`void` `parseXPointer(java.lang.String part)` Provides scheme specific parsing of a XPointer expression i.e.
`boolean` `resolveXPointer(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, org.apache.xerces.xni.Augmentations augs, int event)` Evaluates an XML resource with respect to an XPointer expressions by checking if it's element and attributes parameters match the criteria specified in the xpointer expression.
`void` `setSchemeData(java.lang.String schemeData)` Sets the scheme data of the PointerPart.
`void` `setSchemeName(java.lang.String schemeName)` Sets the scheme name of the PointerPart or the ShortHand Pointer name.

Field Detail

### EVENT_ELEMENT_START

    static final int EVENT_ELEMENT_START

See Also:
  Constant Field Values

### EVENT_ELEMENT_END

    static final int EVENT_ELEMENT_END

See Also:
  Constant Field Values

### EVENT_ELEMENT_EMPTY

    static final int EVENT_ELEMENT_EMPTY

See Also:
  Constant Field Values

Method Detail

### parseXPointer

    void parseXPointer(java.lang.String part)
                       throws org.apache.xerces.xni.XNIException

  Provides scheme specific parsing of a XPointer expression i.e. the PointerPart or ShortHandPointer.

  Parameters:
    `part` - A String representing the PointerPart or ShortHandPointer.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown if the PointerPart string does not conform to the syntax defined by its scheme.

### resolveXPointer

    boolean resolveXPointer(org.apache.xerces.xni.QName element,
                            org.apache.xerces.xni.XMLAttributes attributes,
                            org.apache.xerces.xni.Augmentations augs,
                            int event)
                            throws org.apache.xerces.xni.XNIException

  Evaluates an XML resource with respect to an XPointer expressions by checking if it's element and attributes parameters match the criteria specified in the xpointer expression.

  Parameters:
    `element` - - The name of the element.
    `attributes` - - The element attributes.
    `augs` - - Additional information that may include infoset augmentations
    `event` - - An integer indicating 0 - The start of an element 1 - The end of an element 2 - An empty element call
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown to signal an error

### isFragmentResolved

    boolean isFragmentResolved()
                               throws org.apache.xerces.xni.XNIException

  Returns true if the XPointer expression resolves to a resource fragment specified as input else returns false.

  Returns:
    True if the xpointer expression matches a fragment in the resource else returns false.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown to signal an error

### isChildFragmentResolved

    boolean isChildFragmentResolved()
                                    throws org.apache.xerces.xni.XNIException

  Returns true if the XPointer expression resolves to a non-element child of the current resource fragment.

  Returns:
    True if the XPointer expression resolves to a non-element child of the current resource fragment.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown to signal an error

### getSchemeName

    java.lang.String getSchemeName()

  Returns a String containing the scheme name of the PointerPart or the name of the ShortHand Pointer.

  Returns:
    A String containing the scheme name of the PointerPart.

### getSchemeData

    java.lang.String getSchemeData()

  Returns a String containing the scheme data of the PointerPart.

  Returns:
    A String containing the scheme data of the PointerPart.

### setSchemeName

    void setSchemeName(java.lang.String schemeName)

  Sets the scheme name of the PointerPart or the ShortHand Pointer name.

  Parameters:
    `schemeName` - A String containing the scheme name of the PointerPart.

### setSchemeData

    void setSchemeData(java.lang.String schemeData)

  Sets the scheme data of the PointerPart.

  Parameters:
    `schemeData` - A String containing the scheme data of the PointerPart.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.